POJOProperty (Jackson module: Mr Bean 2.12.0 API)
Date: 2020-11-28

com.fasterxml.jackson.module.mrbean

## Class POJOProperty

- java.lang.Object
- - com.fasterxml.jackson.module.mrbean.POJOProperty

-     public class POJOProperty
      extends Object

  Bean that contains information about a single logical POJO property. Properties consist of a getter and/or setter, and are used to generate getter and setter methods and matching backing field.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected com.fasterxml.jackson.databind.introspect.TypeResolutionContext` | `_context` Class in which setter/getter was declared, needed for resolving generic types.
    `protected String` | `_fieldName`
    `protected Method` | `_getter`
    `protected String` | `_name`
    `protected Method` | `_setter`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `POJOProperty(com.fasterxml.jackson.databind.introspect.TypeResolutionContext ctxt, String name)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getFieldName()`
    `Method` | `getGetter()`
    `String` | `getName()`
    `Method` | `getSetter()`
    `boolean` | `hasConcreteGetter()`
    `boolean` | `hasConcreteSetter()`
    `com.fasterxml.jackson.module.mrbean.BeanBuilder.TypeDescription` | `selectType()`
    `void` | `setGetter(Method m)`
    `void` | `setSetter(Method m)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### _name

          protected final String _name

    - #### _fieldName

          protected final String _fieldName

    - #### _context

          protected final com.fasterxml.jackson.databind.introspect.TypeResolutionContext _context

      Class in which setter/getter was declared, needed for resolving generic types.

    - #### _getter

          protected Method _getter

    - #### _setter

          protected Method _setter

  - ### Constructor Detail

    - #### POJOProperty

          public POJOProperty(com.fasterxml.jackson.databind.introspect.TypeResolutionContext ctxt,
                              String name)

  - ### Method Detail

    - #### getName

          public String getName()

    - #### setGetter

          public void setGetter(Method m)

    - #### setSetter

          public void setSetter(Method m)

    - #### getGetter

          public Method getGetter()

    - #### getSetter

          public Method getSetter()

    - #### getFieldName

          public String getFieldName()

    - #### hasConcreteGetter

          public boolean hasConcreteGetter()

    - #### hasConcreteSetter

          public boolean hasConcreteSetter()

    - #### selectType

          public com.fasterxml.jackson.module.mrbean.BeanBuilder.TypeDescription selectType()

Copyright © 2020 FasterXML. All rights reserved.